package main
import (
	"fmt"
	"image"
	"os"
	_ "image/png"
	"image/jpeg"
)
func main() {
	// 開くファイル名
	file, err := os.Open("/images/test.png")
	if err != nil {
		fmt.Println("ファイルが開けませんでした。")
		os.Exit(1)
	}
	defer file.Close()
	// PNG画像を解析（デコード）する
	m, _, err := image.Decode(file)
	if err != nil {
		fmt.Println("画像を解析できませんでした。")
		os.Exit(1)
	}
	// 保存するファイル名
	savefile, err := os.Create("/images/test123.jpg")
	if err != nil {
		fmt.Println("保存するためのファイルが開けませんでした。")
		os.Exit(1)
	}
	defer savefile.Close()
	// JPEG形式で品質20で保存する
	jpeg.Encode(savefile, m, &jpeg.Options{ 20 })
}
